Bug 27796 - SIP payment types should not be available as refund types
Summary: SIP payment types should not be available as refund types
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Martin Renvoize
QA Contact: Nick Clemens
URL:
Keywords:
Depends on: 23442
Blocks: 13985 17735 28138
  Show dependency treegraph
 
Reported: 2021-02-25 16:09 UTC by Martin Renvoize
Modified: 2021-05-26 09:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05


Attachments
Bug 27796: Centralise payment/transaction type handling (11.99 KB, patch)
2021-02-25 17:29 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (17.83 KB, patch)
2021-02-26 09:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (20.11 KB, patch)
2021-02-26 10:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (20.42 KB, patch)
2021-02-26 10:19 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (22.36 KB, patch)
2021-03-05 07:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (22.38 KB, patch)
2021-03-11 15:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: (QA follow-up) Fix for missing 'Account credit' (2.79 KB, patch)
2021-03-11 15:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (22.39 KB, patch)
2021-03-25 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: (QA follow-up) Fix for missing 'Account credit' (2.79 KB, patch)
2021-03-25 08:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (22.46 KB, patch)
2021-04-06 17:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27796: (QA follow-up) Fix for missing 'Account credit' (2.86 KB, patch)
2021-04-06 17:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27796: Centralise payment/transaction type handling (22.55 KB, patch)
2021-04-15 19:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27796: (QA follow-up) Fix for missing 'Account credit' (2.90 KB, patch)
2021-04-15 19:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 27796: (QA follow-up) Missing filters (8.62 KB, patch)
2021-04-15 19:01 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-02-25 16:09:30 UTC
The SIP payment types have leaked as payment types into the refund modal.. this is a mistake.
Comment 1 Martin Renvoize 2021-02-25 17:29:26 UTC
Created attachment 117354 [details] [review]
Bug 27796: Centralise payment/transaction type handling
Comment 2 Martin Renvoize 2021-02-25 17:30:24 UTC
Work in progress.. not yet ready for testing.
Comment 3 Martin Renvoize 2021-02-26 09:46:08 UTC
Created attachment 117368 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund vis point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 4 Martin Renvoize 2021-02-26 09:49:01 UTC
This patch refines the work started in bug 24525 to centralise code to reduce maintanence.
Comment 5 Martin Renvoize 2021-02-26 10:01:21 UTC
Created attachment 117369 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund vis point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 6 Martin Renvoize 2021-02-26 10:19:11 UTC
Created attachment 117370 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund vis point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 7 Sally 2021-03-04 10:50:23 UTC
After applying the patch, I get the following error when trying to load pos/pay.pl or boraccount.pl:

Template process failed: file error - transaction_types.inc: not found at /kohadevbox/koha/C4/Templates.pm line 122
Comment 8 Martin Renvoize 2021-03-05 07:45:26 UTC
Created attachment 117784 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund vis point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 9 Martin Renvoize 2021-03-05 07:46:14 UTC
(In reply to Sally from comment #7)
> After applying the patch, I get the following error when trying to load
> pos/pay.pl or boraccount.pl:
> 
> Template process failed: file error - transaction_types.inc: not found at
> /kohadevbox/koha/C4/Templates.pm line 122

Ooops, seems I missed the file when constructing the patch.. I've uploaded a fresh one with the missing file included now.
Comment 10 Sally 2021-03-09 11:04:31 UTC
> 1a) Refund modal on the borrower account page (The 'Account credit'
> option should appear here)

Account credit is missing at this stage.

The rest work as expected.
Comment 11 Martin Renvoize 2021-03-11 15:05:13 UTC
Created attachment 118145 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund via point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 12 Martin Renvoize 2021-03-11 15:05:16 UTC
Created attachment 118146 [details] [review]
Bug 27796: (QA follow-up) Fix for missing 'Account credit'

Good catch Sally!  The data-member attribute was using an incorrect
parameter name to fetch the accountline borrowernumber data.
Comment 13 Martin Renvoize 2021-03-11 15:05:47 UTC
(In reply to Sally from comment #10)
> > 1a) Refund modal on the borrower account page (The 'Account credit'
> > option should appear here)
> 
> Account credit is missing at this stage.
> 
> The rest work as expected.

Great catch there Sally.. fixed in the followup :)
Comment 14 Martin Renvoize 2021-03-25 08:49:14 UTC
Created attachment 118768 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund via point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff
Comment 15 Martin Renvoize 2021-03-25 08:49:17 UTC
Created attachment 118769 [details] [review]
Bug 27796: (QA follow-up) Fix for missing 'Account credit'

Good catch Sally!  The data-member attribute was using an incorrect
parameter name to fetch the accountline borrowernumber data.
Comment 16 Martin Renvoize 2021-03-25 08:49:39 UTC
Just a quick rebase.. awaiting testing..
Comment 17 Kyle M Hall 2021-04-06 17:00:39 UTC
Created attachment 119239 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund via point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 18 Kyle M Hall 2021-04-06 17:01:03 UTC
Created attachment 119240 [details] [review]
Bug 27796: (QA follow-up) Fix for missing 'Account credit'

Good catch Sally!  The data-member attribute was using an incorrect
parameter name to fetch the accountline borrowernumber data.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 19 Nick Clemens 2021-04-15 19:01:02 UTC
Created attachment 119678 [details] [review]
Bug 27796: Centralise payment/transaction type handling

This patch centralises the payment/transaction type select options
handling so the SIP types are properly in all cases.

Test plan
1) Check that SIP payment types are properly hidden on the following
   modals.
1a) Refund modal on the borrower account page (The 'Account credit'
option should appear here)
1b) Payout modal on borrower account page
1c) Payment via paycollect
1d) Payment via point of sale
1e) Refund via point of sale, register details page (The 'Account
credit' option should only appear for debts associated to a patron and
not for payments accepted via point of sale)
2) Signoff

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 20 Nick Clemens 2021-04-15 19:01:06 UTC
Created attachment 119679 [details] [review]
Bug 27796: (QA follow-up) Fix for missing 'Account credit'

Good catch Sally!  The data-member attribute was using an incorrect
parameter name to fetch the accountline borrowernumber data.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 21 Nick Clemens 2021-04-15 19:01:10 UTC
Created attachment 119680 [details] [review]
Bug 27796: (QA follow-up) Missing filters

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 22 Jonathan Druart 2021-04-16 10:29:38 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 23 Fridolin Somers 2021-04-22 13:54:45 UTC
Pushed to 20.11.x for 20.11.05
Comment 24 Andrew Fuerste-Henry 2021-04-25 15:54:25 UTC
Doesn't apply cleanly to 20.05, please rebase for backport